Bug 862824 - "Couldn't find all Roles with IDs" error when creating a role
"Couldn't find all Roles with IDs" error when creating a role
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-10-03 11:57 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-19 14:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-10-03 11:57:45 EDT
Description of problem:

Version-Release number of selected component (if applicable):
CFSE puddle katello-1.1.12-12.el6cf.noarch 

How reproducible:
not very - automated test fails pretty often (~50%), but not reproducible when the server is not under load

Steps to Reproduce:
1. Create a role named "edit-role-1003-095822-300" (but I doubt that the name matters)
Actual results:
Fails with "×Couldn't find all Roles with IDs (1, 22, 2, 16, 19, 18, 21, 20) (found 7 results, but was looking for 8)"

Expected results:
Role created

Additional info:
also fails on katello builds
Comment 4 Tom McKay 2012-10-03 14:32:31 EDT
Note that the role is successfully created but there is some sort of timing issue with, we think, elasticsearch. Investigation will continue.
Comment 5 Jeff Weiss 2012-10-05 08:45:06 EDT
It seems to be a timing issue where the left pane is loading roles at the same time another session deletes a role.  It could maybe be reproduced using two browsers, clicking delete on one, and then refresh the roles page on the other?
Comment 6 Justin Sherrill 2012-10-05 18:53:52 EDT
PR issued: https://github.com/Katello/katello/pull/804
Comment 7 Justin Sherrill 2012-10-08 09:08:09 EDT
So i believe this should fix the issue.  Only time and countless test runs will tell.

Comment 8 James Laska 2012-10-31 09:31:05 EDT
What's the status of this issue with regards to the CloudFOrms-1.1 release?  Is this already fixed in downstream CloudForms?
Comment 9 Jeff Weiss 2012-10-31 10:26:10 EDT
No, it's not fixed in SE and the issue was deemed not important enough to be fixed now.

I agree with that assessment, in order to trigger the problem you need to do 2 pretty specific things in 2 separate sessions at the same time.

It's pretty unlikely a customer would trigger it, and if he did, the error is not severe.  As far as I can tell, the customer can just ignore the error notification and continue.
Comment 10 Mike McCune 2012-10-31 13:53:33 EDT
moving to 2.0
Comment 12 Mike McCune 2013-09-19 14:15:54 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.